Subject: Re: bug#18035: Linum-mode + org-indent-mode results in graphical bug

From: Michael Heerdegen <[email-masked]>
Date: Wed, 16 Jul 2014 20:14:46 +0200

Michael Heerdegen <[email-masked]> writes:

> > > Activating both linum-mode and org-indent-mode will cause several
> > > graphical glitches in the current line.
> > > See
> > > http://lists.gnu.org/archive/html/emacs-orgmode/2011-01/msg01204.html
> >
> > That discussion provides no reproducible recipe.

But I think I found something that is related (before-string overlays
vs. text properties) and is reproducible for emacs -Q:

- visit a file under version control (I tried a git controlled file here)
- M-x vc-annotate
- v (i.e. vc-annotate-toggle-annotation-visibility)
- M-x linum-mode

==> all lines but one loose their coloring.  Those lines that are still
colored loose their line number.

nlinum-mode behaves similarly.

Michael.